/* $Cambridge: hermes/src/prayer/cmd/cmd_hdrs.c,v 1.2 2008/05/19 15:55:54 dpc22 Exp $ */
/************************************************
 *    Prayer - a Webmail Interface              *
 ************************************************/

/* Copyright (c) University of Cambridge 2000 - 2008 */
/* See the file NOTICE for conditions of use and distribution. */

#include "prayer_session.h"

void cmd_hdrs(struct session *session)
{
    struct request *request = session->request;

    if (session->full_hdrs) {
        session_message(session, "Disabling full header display");
        session->full_hdrs = NIL;
    } else {
        session_message(session, "Showing full headers");
        session->full_hdrs = T;
    }

    session_redirect(session, request, "display");
}
